### Method

# Gio FileAttributeInfoList ref

#### Declaration

    GFileAttributeInfoList*
    g_file_attribute_info_list_ref (
      GFileAttributeInfoList* list
    )

#### Description

References a file attribute info list.

#### Return value

Type: `GFileAttributeInfoList`

`GFileAttributeInfoList` or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.